/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xml.bind.valueobject;

import java.util.List;

/**
 * SAXイベントのうち CDATA を記憶します。このクラスは XML/バリューオブジェクトマッピング (X/Oマッピング) blancoXmlBinding の一部です。
 */
public class BlancoXmlCdata extends BlancoXmlNode {
    /**
     * フィールド [childNodes]
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlNode>]<br>
     * 規定値   [new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlNode>()]<br>
     * 子ノードのリスト。
     */
    private List<blanco.xml.bind.valueobject.BlancoXmlNode> fChildNodes = new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlNode>();

    /**
     * フィールド [childNodes]のセッターメソッド
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlNode>]<br>
     * 子ノードのリスト。
     *
     * @param argChildNodes フィールド[childNodes]に格納したい値
     */
    public void setChildNodes(final List<blanco.xml.bind.valueobject.BlancoXmlNode> argChildNodes) {
        fChildNodes = argChildNodes;
    }

    /**
     * フィールド[childNodes]のゲッターメソッド
     *
     * 項目の型 [java.util.List<blanco.xml.bind.valueobject.BlancoXmlNode>]<br>
     * 規定値   [new java.util.ArrayList<blanco.xml.bind.valueobject.BlancoXmlNode>()]<br>
     * 子ノードのリスト。
     *
     * @return フィールド[childNodes]に格納されている値
     */
    public List<blanco.xml.bind.valueobject.BlancoXmlNode> getChildNodes() {
        return fChildNodes;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xml.bind.valueobject.BlancoXmlCdata[");
        buf.append("childNodes=" + fChildNodes);
        buf.append("]");
        return buf.toString();
    }
}
